Bug 1122176 - Review Request: kubernetes - Kubernetes container management
Summary: Review Request: kubernetes - Kubernetes container management
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Lokesh Mandvekar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: NotReady
Depends On: 1140495 1141807 1141817 1141822 1141830 1141841 1141861 1141864 1141872 1141875 1141880 1141887 1141892 1141896 1142398 1142399
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-22 17:23 UTC by Colin Walters
Modified: 2015-02-21 04:24 UTC (History)
5 users (show)

Fixed In Version: kubernetes-0.9.1-0.2.git3623a01.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-01 17:05:55 UTC
lsm5: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Colin Walters 2014-07-22 17:23:42 UTC
Spec URL: https://github.com/projectatomic/kubernetes-package
Fedora Account System Username: walters

Comment 1 Colin Walters 2014-07-22 17:24:14 UTC
This is a *work in progress*.  Submitting the review request as I continue work on de-bundling so that people can try out the packages.

Comment 3 Colin Walters 2014-07-22 19:20:09 UTC
We may need to split the cadvisor client library from the upstream code.

Comment 4 Lokesh Mandvekar 2014-07-22 19:46:46 UTC
I'll take this for review, unless there's another volunteer already :)

Comment 7 Jan Chaloupka 2014-09-15 17:15:07 UTC
Hope did not forget any package.

Comment 8 Lokesh Mandvekar 2014-09-15 17:36:41 UTC
Jan, Re: fsouza-go-dockerclient review: Bug 1085840 :)

Comment 9 Jan Chaloupka 2014-09-15 18:36:48 UTC
Ahh, Lokesh :), thanks, bugzilla does not search for closed bugs, my bad.

Comment 10 Lokesh Mandvekar 2014-09-15 22:32:27 UTC
(In reply to Jan Chaloupka from comment #9)
> Ahh, Lokesh :), thanks, bugzilla does not search for closed bugs, my bad.

yup, the default search box does not, but the 'Search' item on top will allow you to look for closed bugs too.

Comment 11 Jan Chaloupka 2014-09-29 10:22:02 UTC
Spec URL: https://jchaloup.fedorapeople.org/reviews/kubernetes/kubernetes.spec

SRPM URL: https://jchaloup.fedorapeople.org/reviews/kubernetes/kubernetes-0.3-0.1.git88fdb65.fc21.src.rpm

Koji: building on my local machine, not in koji due to dependency on cadvisor (already waiting for SCM)

Comment 12 Lokesh Mandvekar 2014-09-29 10:43:13 UTC
%{_bindir}/*
%{_unitdir}/*.service
%{_datadir}/bash-completion/completions/*

I suspect this will end up owning all files in these dirs. Better to own only those files which this package installs.


BuildRequires:	gcc ... this isn't needed. koji uses gcc automatically.


Patch1 probably isn't needed in this anymore since the deps have been packaged already. Also, if the patch can be removed, we could replace %autosetup with %setup and not need BuildRequires: git.

Comment 13 Jan Chaloupka 2014-09-29 11:28:45 UTC
Spec URL: https://jchaloup.fedorapeople.org/reviews/kubernetes/kubernetes.spec

SRPM URL: https://jchaloup.fedorapeople.org/reviews/kubernetes/kubernetes-0.3-0.2.git88fdb65.fc21.src.rpm

$ rpmlint kubernetes.spec /root/rpmbuild/SRPMS/kubernetes-0.3-0.2.git88fdb65.fc21.src.rpm /root/rpmbuild/RPMS/x86_64/kubernetes-0.3-0.2.git88fdb65.fc21.x86_64.rpm
kubernetes.spec:248: W: macro-in-%changelog %check
kubernetes.spec:110: W: mixed-use-of-spaces-and-tabs (spaces: line 110, tab: line 2)
kubernetes.src: W: name-repeated-in-summary C Kubernetes
kubernetes.src:248: W: macro-in-%changelog %check
kubernetes.src:110: W: mixed-use-of-spaces-and-tabs (spaces: line 110, tab: line 2)
kubernetes.x86_64: W: name-repeated-in-summary C Kubernetes
kubernetes.x86_64: W: unstripped-binary-or-object /usr/bin/kube-proxy
kubernetes.x86_64: E: statically-linked-binary /usr/bin/kube-proxy
kubernetes.x86_64: W: unstripped-binary-or-object /usr/bin/kubelet
kubernetes.x86_64: E: statically-linked-binary /usr/bin/kubelet
kubernetes.x86_64: W: unstripped-binary-or-object /usr/bin/kubecfg
kubernetes.x86_64: E: statically-linked-binary /usr/bin/kubecfg
kubernetes.x86_64: W: unstripped-binary-or-object /usr/bin/kube-scheduler
kubernetes.x86_64: E: statically-linked-binary /usr/bin/kube-scheduler
kubernetes.x86_64: W: unstripped-binary-or-object /usr/bin/kube-controller-manager
kubernetes.x86_64: E: statically-linked-binary /usr/bin/kube-controller-manager
kubernetes.x86_64: W: unstripped-binary-or-object /usr/bin/kube-apiserver
kubernetes.x86_64: E: statically-linked-binary /usr/bin/kube-apiserver
kubernetes.x86_64: E: wrong-script-interpreter /usr/share/bash-completion/completions/kubecfg bash
kubernetes.x86_64: W: no-manual-page-for-binary kube-scheduler
kubernetes.x86_64: W: no-manual-page-for-binary kube-apiserver
kubernetes.x86_64: W: no-manual-page-for-binary kube-proxy
kubernetes.x86_64: W: no-manual-page-for-binary kubelet
kubernetes.x86_64: W: no-manual-page-for-binary kubecfg
kubernetes.x86_64: W: no-manual-page-for-binary kube-controller-manager
2 packages and 1 specfiles checked; 7 errors, 18 warnings.

Comment 14 Jan Chaloupka 2014-09-29 11:40:05 UTC
After fixing summary and bash-completion:

kubernetes.spec:248: W: macro-in-%changelog %check
kubernetes.spec:110: W: mixed-use-of-spaces-and-tabs (spaces: line 110, tab: line 2)
kubernetes.src:248: W: macro-in-%changelog %check
kubernetes.src:110: W: mixed-use-of-spaces-and-tabs (spaces: line 110, tab: line 2)
kubernetes.x86_64: W: unstripped-binary-or-object /usr/bin/kube-proxy
kubernetes.x86_64: E: statically-linked-binary /usr/bin/kube-proxy
kubernetes.x86_64: W: unstripped-binary-or-object /usr/bin/kubelet
kubernetes.x86_64: E: statically-linked-binary /usr/bin/kubelet
kubernetes.x86_64: W: unstripped-binary-or-object /usr/bin/kubecfg
kubernetes.x86_64: E: statically-linked-binary /usr/bin/kubecfg
kubernetes.x86_64: W: unstripped-binary-or-object /usr/bin/kube-scheduler
kubernetes.x86_64: E: statically-linked-binary /usr/bin/kube-scheduler
kubernetes.x86_64: W: unstripped-binary-or-object /usr/bin/kube-controller-manager
kubernetes.x86_64: E: statically-linked-binary /usr/bin/kube-controller-manager
kubernetes.x86_64: W: unstripped-binary-or-object /usr/bin/kube-apiserver
kubernetes.x86_64: E: statically-linked-binary /usr/bin/kube-apiserver
kubernetes.x86_64: W: no-manual-page-for-binary kube-scheduler
kubernetes.x86_64: W: no-manual-page-for-binary kube-apiserver
kubernetes.x86_64: W: no-manual-page-for-binary kube-proxy
kubernetes.x86_64: W: no-manual-page-for-binary kubelet
kubernetes.x86_64: W: no-manual-page-for-binary kubecfg
kubernetes.x86_64: W: no-manual-page-for-binary kube-controller-manager

Comment 15 Jan Chaloupka 2014-09-29 12:10:18 UTC
Changelog:

kubernetes.spec:248: W: macro-in-%changelog %check
kubernetes.spec:110: W: mixed-use-of-spaces-and-tabs (spaces: line 110, tab: line 2)

resolved.

Updated files:

Spec URL: https://jchaloup.fedorapeople.org/reviews/kubernetes/kubernetes.spec

SRPM URL: https://jchaloup.fedorapeople.org/reviews/kubernetes/kubernetes-0.3-0.2.git88fdb65.fc21.src.rpm

Comment 16 Lokesh Mandvekar 2014-09-29 12:11:57 UTC
-golang binaries are statically linked, so errors can be ignored
https://fedoraproject.org/wiki/PackagingDrafts/Go

-Package summary updated.

-Bash completion error corrected.

-files installed in %{_bindir} and %{_unitdir} and completions/ explicitly listed.

-LICENSE installed.


Package approved (subject to a final successful koji build). Go ahead with SCM request, but please post a koji scratch build url before actually building :)


TODO: preferable to have a -docs subpackage installing documentation from the docs/ dir. Or include them in the main package itself if docs aren't too huge.

Comment 17 Jan Chaloupka 2014-09-29 12:15:12 UTC
New Package SCM Request
=======================
Package Name: kubernetes
Short Description: Kubernetes container management
Upstream URL: https://github.com/GoogleCloudPlatform/kubernetes/
Owners: jchaloup lsm5 vbatts
Branches: f21 f20 f19 el6
InitialCC: golang-sig

Comment 18 Gwyn Ciesla 2014-09-29 12:21:35 UTC
Git done (by process-git-requests).

Comment 19 Fedora Update System 2014-10-09 21:52:37 UTC
kubernetes-0.3-0.2.git88fdb65.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/kubernetes-0.3-0.2.git88fdb65.fc21

Comment 20 Fedora Update System 2014-10-09 21:53:22 UTC
kubernetes-0.3-0.2.git88fdb65.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/kubernetes-0.3-0.2.git88fdb65.fc20

Comment 21 Fedora Update System 2014-10-11 06:53:16 UTC
kubernetes-0.3-0.2.git88fdb65.fc21 has been pushed to the Fedora 21 testing repository.

Comment 22 Fedora Update System 2014-10-17 15:22:00 UTC
kubernetes-0.4-0.1.gitb011263.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/kubernetes-0.4-0.1.gitb011263.fc20

Comment 23 Fedora Update System 2014-10-28 20:52:43 UTC
kubernetes-0.4-0.6.gite46af6e.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/kubernetes-0.4-0.6.gite46af6e.fc20

Comment 24 Fedora Update System 2014-10-30 21:23:18 UTC
kubernetes-0.4+-0.9.git8e1d416.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/kubernetes-0.4+-0.9.git8e1d416.fc20

Comment 25 Fedora Update System 2014-11-01 17:05:55 UTC
kubernetes-0.3-0.2.git88fdb65.fc21 has been pushed to the Fedora 21 stable repository.

Comment 26 Fedora Update System 2014-11-25 15:05:36 UTC
kubernetes-0.5-105.0.git3f74a1e.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/kubernetes-0.5-105.0.git3f74a1e.fc20

Comment 27 Fedora Update System 2014-12-03 16:34:05 UTC
kubernetes-0.6-4.0.git993ef88.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/kubernetes-0.6-4.0.git993ef88.fc20

Comment 28 Lokesh Mandvekar 2014-12-03 16:40:44 UTC
Eric, looks like this bug is still waiting for a stable f20 rpm. I guess we could push kubernetes-0.6-4.0.git993ef88.fc20 to stable (with karma or otherwise) and get this bug out of the way :)

We also need el6 build, right, or don't we? (we can pretty much ignore f19 now)

Comment 29 Jan Chaloupka 2014-12-09 13:28:40 UTC
Hi,

el6 build can be tricky as not all the dependecies are in stable. Besides, el6 has no systemd so the service files needs to be rewritten first.

Comment 30 Fedora Update System 2014-12-18 06:04:31 UTC
kubernetes-0.6-4.0.git993ef88.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 31 Fedora Update System 2015-01-30 09:00:38 UTC
kubernetes-0.9.1-0.1.git3623a01.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/kubernetes-0.9.1-0.1.git3623a01.fc20

Comment 32 Fedora Update System 2015-01-30 11:57:08 UTC
kubernetes-0.9.1-0.1.git3623a01.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/kubernetes-0.9.1-0.1.git3623a01.fc21

Comment 33 Fedora Update System 2015-02-06 17:55:02 UTC
kubernetes-0.9.1-0.2.git3623a01.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/kubernetes-0.9.1-0.2.git3623a01.fc21

Comment 34 Fedora Update System 2015-02-06 18:08:10 UTC
kubernetes-0.9.1-0.2.git3623a01.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/kubernetes-0.9.1-0.2.git3623a01.fc20

Comment 35 Fedora Update System 2015-02-21 04:24:10 UTC
kubernetes-0.9.1-0.2.git3623a01.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 36 Fedora Update System 2015-02-21 04:24:43 UTC
kubernetes-0.9.1-0.2.git3623a01.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.